Subject: [PATCH 9/9] RFC: ARM: DRA7: enable DSS_DESHDCP_CLKEN

From: [email-masked] (Tomi Valkeinen)
Date: Fri, 20 Feb 2015 15:48:13 +0200

On 20/02/15 14:59, Tero Kristo wrote:
> On 02/20/2015 01:46 PM, Tomi Valkeinen wrote:
>> On 13/02/15 17:42, Tero Kristo wrote:
>>> On 02/13/2015 05:25 PM, Nishanth Menon wrote:
>>
>>>> I would probably wait for control module to become syscon and probably
>>>> model this as syscon clk - I thin we should be seeing a series
>>>> sometime soon.
>>>
>>> Yeah, I will be posting a series in a bit, just running some final tests
>>> on it.
>>
>> I did the above with Tero's series. Adding the DES HDCP clock works ok.
>>
>> However, I'm not able to do this in HWMOD framework. To enable the DSS
>> IP block I need to enable both the DSS func clock and the DES HDCP
>> clock, but the HWMOD framework only allows one mainclock.
>>
>> I added the HDCP clock as an opt clock, but those are not enabled
>> intially by the HWMOD framework, and the call in omap_hwmod.c:_enable()
>> to soc_ops.wait_target_ready(oh) calls fails.
>>
>> So... Any ideas how to proceed?
> 
> Add the clock enable at the end of dra7xx_dt_clk_init()?
> 
> You need to disable the clock at some point though.

Where would I disable it? And if the clock is disabled, doesn't this
again fail when the dss driver tries to enable the IP block? The driver
can enable the HDCP opt clock only later, when the IP block should be up
already.

 Tomi

-------------- next part --------------
A non-text attachment was scrubbed...
Name: signature.asc
Type: application/pgp-signature
Size: 819 bytes
Desc: OpenPGP digital signature
URL: <http://lists.infradead.org/pipermail/linux-arm-kernel/attachments/20150220/4cb3a54c/attachment.sig>